*** Settings ***
Documentation    Test Suite to create and delete vim account
Library     Collections
Library     RequestsLibrary
Library     OperatingSystem
Resource    osm_cli_lib.robot

*** Variables ***
${success_return_code}    0
${name}     "helloworld-os"
${user}     "robottest"
${password}     "fred"
${auth_url}      "https://127.0.0.1/"
${type}     "openstack"
${description}     "a test vim"
${tenant}   "robottest2"

*** Test Cases ***
Create Vim Account
  [Tags]  vim
  Create Vim Cli  ${name}  ${type}  ${auth_url}  ${user}  ${password}  ${tenant}  ${description} 

List Vim Accounts
  [Tags]  vim
  Get Vim List Cli

Delete Vim Account
  [Tags]  vim
  Delete Vim Cli  ${name} 
